# Change your tradelink

`POST /v1/change-tradelink`

Prices are integers. `1000` = `1 USD`.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `api` | query | string | required | Your [WAXPEER API](https://waxpeer.com/profile/user) |

## Request body

```json
{
  "tradelink": "https://steamcommunity.com/tradeoffer/new/?partner=153212146&token=ssRe42do"
}
```

## Example (curl)

```bash
curl -X POST 'https://api.waxpeer.com/v1/change-tradelink?api=%7B%7BAPI_KEY%7D%7D' \
  -H 'Content-Type: application/json' \
  -d '{
  "tradelink": "https://steamcommunity.com/tradeoffer/new/?partner=153212146&token=ssRe42do"
}'
```

## Example response

```json
{
  "success": false,
  "link": "https://steamcommunity.com/tradeoffer/new/?partner=900267897&token=P2YkRJOk",
  "info": "You cannot trade with SteamUserName because they have a trade ban.",
  "msg": "We couldn't validate your trade link, either your inventory is private or you can't trade",
  "token": "P2YkRJOk",
  "steamid32": 900267897,
  "steamid64": 76561198000000000
}
```

## Responses

- `200` successful operation
- `429` Too many requests. Limit for endpoint actions - 5 requests per 60 seconds

## Notes for agents

- Auth is the query parameter `api`, not an Authorization header.
- See [/statuses.md](/statuses.md) for numeric trade status plus `escrow_status` / `release_date`.
- Prefer GET /v2/search-items-by-name over v1.
- Do not use GET /v1/ready-to-transfer-p2p; use the [trade websocket](/websocket.md).
